Page MenuHomePhabricator

Changes in OOUI results in unit test failure of extension CollaborationKit
Closed, ResolvedPublicPRODUCTION ERROR

Description

Extension CollaborationKit is failing unit tests due to changed html structure of OOUI elements

https://integration.wikimedia.org/ci/job/quibble-vendor-mysql-hhvm-docker/9925/console

Example:

Failed asserting that two strings are equal.
--- Expected
+++ Actual
@@ @@
-'<div class="mw-ck-hub-section" id="Wow.21"><div class="mw-ck-hub-section-header"><h2><div class="mw-ck-section-image" style=""><a href="/wiki/index.php/Wow"><div class="mw-ck-icon mw-ck-icon-heart" style="width: 35px; height: 35px;"></div></a></div><span class="mw-headline">Wow!</span></h2></div><p class="mw-ck-hub-missingfeature-note">This feature does not exist. You can create a new feature using the button below. If you just created the feature and you're still seeing this message, try purging the cache.</p><span aria-disabled='false' class='oo-ui-widget oo-ui-widget-enabled oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-flaggedElement-progressive oo-ui-buttonWidget'><a role='button' tabindex='0' aria-disabled='false' href='http://localhost/wiki/index.php?title=Special:CreateHubFeature&amp;collaborationhub=Main+Page&amp;feature=Wow' rel='nofollow' class='oo-ui-buttonElement-button'><span class='oo-ui-iconElement-icon oo-ui-image-progressive'></span><span class='oo-ui-labelElement-label'>Create feature</span><span class='oo-ui-indicatorElement-indicator oo-ui-image-progressive'></span></a></span><span aria-disabled='false' class='oo-ui-widget oo-ui-widget-enabled oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-buttonWidget'><a role='button' tabindex='0' aria-disabled='false' href='http://localhost/wiki/index.php?title=Main_Page&amp;action=purge' rel='nofollow' class='oo-ui-buttonElement-button'><span class='oo-ui-iconElement-icon'></span><span class='oo-ui-labelElement-label'>Purge cache</span><span class='oo-ui-indicatorElement-indicator'></span></a></span></div>'
+'<div class="mw-ck-hub-section" id="Wow.21"><div class="mw-ck-hub-section-header"><h2><div class="mw-ck-section-image" style=""><a href="/wiki/index.php/Wow"><div class="mw-ck-icon mw-ck-icon-heart" style="width: 35px; height: 35px;"></div></a></div><span class="mw-headline">Wow!</span></h2></div><p class="mw-ck-hub-missingfeature-note">This feature does not exist. You can create a new feature using the button below. If you just created the feature and you're still seeing this message, try purging the cache.</p><span aria-disabled='false' class='oo-ui-widget oo-ui-widget-enabled oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-flaggedElement-progressive oo-ui-buttonWidget'><a role='button' tabindex='0' aria-disabled='false' href='http://localhost/wiki/index.php?title=Special:CreateHubFeature&amp;collaborationhub=Main+Page&amp;feature=Wow' rel='nofollow' class='oo-ui-buttonElement-button'><span class='oo-ui-iconElement-icon oo-ui-iconElement-noIcon oo-ui-image-progressive'></span><span class='oo-ui-labelElement-label'>Create feature</span><span class='oo-ui-indicatorElement-indicator oo-ui-indicatorElement-noIndicator oo-ui-image-progressive'></span></a></span><span aria-disabled='false' class='oo-ui-widget oo-ui-widget-enabled oo-ui-buttonElement oo-ui-buttonElement-framed oo-ui-labelElement oo-ui-buttonWidget'><a role='button' tabindex='0' aria-disabled='false' href='http://localhost/wiki/index.php?title=Main_Page&amp;action=purge' rel='nofollow' class='oo-ui-buttonElement-button'><span class='oo-ui-iconElement-icon oo-ui-iconElement-noIcon'></span><span class='oo-ui-labelElement-label'>Purge cache</span><span class='oo-ui-indicatorElement-indicator oo-ui-indicatorElement-noIndicator'></span></a></span></div>'

It looks like class oo-ui-iconElement-noIcon is now part of the html.

Please have a look if the extension or OOUI needs adjust. Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2018, 12:10 PM

Change 452911 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/CollaborationKit@master] Update expected html in CollaborationHubContentTest to pass tests

https://gerrit.wikimedia.org/r/452911

Change 452911 merged by jenkins-bot:
[mediawiki/extensions/CollaborationKit@master] Update expected HTML in CollaborationHubContentTest to pass tests

https://gerrit.wikimedia.org/r/452911

Umherirrender closed this task as Resolved.Aug 15 2018, 8:03 PM
Umherirrender claimed this task.
Volker_E removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM